%?mingw_package_header

Name:		mingw-portablexdr
Version:	4.9.1
Release:    1%{?dist}
Summary:	MinGW Windows PortableXDR / RPC Library

License:	LGPLv2+
URL:		https://people.redhat.com/~rjones/portablexdr/
Source0:	https://people.redhat.com/~rjones/portablexdr/files/portablexdr-%{version}.tar.gz
BuildArch:	noarch

BuildRequires: make
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-binutils

BuildRequires:  gcc
BuildRequires:  git

Patch0:		portablexdr-4.9.1-no-config-h.patch
Patch1:		portablexdr-build-use-intptr_t-and-uintptr_t-to-cast-ptr-to-int.patch


%description
MinGW Windows PortableXDR XDR / RPC library.


%package -n mingw32-portablexdr
Summary:	MinGW Windows PortableXDR / RPC Library

%description -n mingw32-portablexdr
MinGW Windows PortableXDR XDR / RPC library.

%package -n mingw32-portablexdr-static
Summary:       MinGW Windows PortableXDR XDR / RPC library, static version

%description -n mingw32-portablexdr-static
MinGW Windows PortableXDR XDR / RPC library, static version.

%package -n mingw64-portablexdr
Summary:        MinGW Windows PortableXDR / RPC Library

%description -n mingw64-portablexdr
MinGW Windows PortableXDR XDR / RPC library.

%package -n mingw64-portablexdr-static
Summary:       MinGW Windows PortableXDR XDR / RPC library, static version

%description -n mingw64-portablexdr-static
MinGW Windows PortableXDR XDR / RPC library, static version.


%?mingw_debug_package


%prep
%autosetup -S git -n portablexdr-%{version}

%build
%mingw_configure --enable-static
%mingw_make %{?_smp_flags}


%install
%mingw_make DESTDIR=%{buildroot} install

find %{buildroot} -name "*.la" -delete


%files -n mingw32-portablexdr
%license COPYING.LIB
%{mingw32_bindir}/portable-rpcgen.exe
%{mingw32_bindir}/libportablexdr-0.dll
%{mingw32_libdir}/libportablexdr.dll.a
%{mingw32_includedir}/rpc

%files -n mingw32-portablexdr-static
%{mingw32_libdir}/libportablexdr.a

%files -n mingw64-portablexdr
%license COPYING.LIB
%{mingw64_bindir}/portable-rpcgen.exe
%{mingw64_bindir}/libportablexdr-0.dll
%{mingw64_libdir}/libportablexdr.dll.a
%{mingw64_includedir}/rpc

%files -n mingw64-portablexdr-static
%{mingw64_libdir}/libportablexdr.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.1-1
- initial build
